
/* Generated data (by glib-mkenums) */

#include "gwyprocesstypes.h"
#include "gwyprocessenums.h"

GType
gwy_sf_output_type_get_type(void)
{
    static GType etype = 0;

    if (etype == 0) {
        static const GEnumValue values[] = {
            { GWY_SF_OUTPUT_DH, "GWY_SF_OUTPUT_DH", "dh" },
            { GWY_SF_OUTPUT_CDH, "GWY_SF_OUTPUT_CDH", "cdh" },
            { GWY_SF_OUTPUT_DA, "GWY_SF_OUTPUT_DA", "da" },
            { GWY_SF_OUTPUT_CDA, "GWY_SF_OUTPUT_CDA", "cda" },
            { GWY_SF_OUTPUT_ACF, "GWY_SF_OUTPUT_ACF", "acf" },
            { GWY_SF_OUTPUT_HHCF, "GWY_SF_OUTPUT_HHCF", "hhcf" },
            { GWY_SF_OUTPUT_PSDF, "GWY_SF_OUTPUT_PSDF", "psdf" },
            { 0, NULL, NULL }
        };
        etype = g_enum_register_static("GwySFOutputType", values);
    }
    return etype;
}

GType
gwy_merge_type_get_type(void)
{
    static GType etype = 0;

    if (etype == 0) {
        static const GEnumValue values[] = {
            { GWY_MERGE_UNION, "GWY_MERGE_UNION", "union" },
            { GWY_MERGE_INTERSECTION, "GWY_MERGE_INTERSECTION", "intersection" },
            { 0, NULL, NULL }
        };
        etype = g_enum_register_static("GwyMergeType", values);
    }
    return etype;
}

GType
gwy_watershed_state_type_get_type(void)
{
    static GType etype = 0;

    if (etype == 0) {
        static const GEnumValue values[] = {
            { GWY_WATERSHED_STATE_INIT, "GWY_WATERSHED_STATE_INIT", "init" },
            { GWY_WATERSHED_STATE_LOCATE, "GWY_WATERSHED_STATE_LOCATE", "locate" },
            { GWY_WATERSHED_STATE_MIN, "GWY_WATERSHED_STATE_MIN", "min" },
            { GWY_WATERSHED_STATE_WATERSHED, "GWY_WATERSHED_STATE_WATERSHED", "watershed" },
            { GWY_WATERSHED_STATE_MARK, "GWY_WATERSHED_STATE_MARK", "mark" },
            { GWY_WATERSHED_STATE_FINISHED, "GWY_WATERSHED_STATE_FINISHED", "finished" },
            { 0, NULL, NULL }
        };
        etype = g_enum_register_static("GwyWatershedStateType", values);
    }
    return etype;
}

GType
gwy_plane_symmetry_get_type(void)
{
    static GType etype = 0;

    if (etype == 0) {
        static const GEnumValue values[] = {
            { GWY_SYMMETRY_AUTO, "GWY_SYMMETRY_AUTO", "auto" },
            { GWY_SYMMETRY_PARALLEL, "GWY_SYMMETRY_PARALLEL", "parallel" },
            { GWY_SYMMETRY_TRIANGULAR, "GWY_SYMMETRY_TRIANGULAR", "triangular" },
            { GWY_SYMMETRY_SQUARE, "GWY_SYMMETRY_SQUARE", "square" },
            { GWY_SYMMETRY_RHOMBIC, "GWY_SYMMETRY_RHOMBIC", "rhombic" },
            { GWY_SYMMETRY_HEXAGONAL, "GWY_SYMMETRY_HEXAGONAL", "hexagonal" },
            { GWY_SYMMETRY_LAST, "GWY_SYMMETRY_LAST", "last" },
            { 0, NULL, NULL }
        };
        etype = g_enum_register_static("GwyPlaneSymmetry", values);
    }
    return etype;
}

GType
gwy_2dcwt_wavelet_type_get_type(void)
{
    static GType etype = 0;

    if (etype == 0) {
        static const GEnumValue values[] = {
            { GWY_2DCWT_GAUSS, "GWY_2DCWT_GAUSS", "gauss" },
            { GWY_2DCWT_HAT, "GWY_2DCWT_HAT", "hat" },
            { 0, NULL, NULL }
        };
        etype = g_enum_register_static("Gwy2DCWTWaveletType", values);
    }
    return etype;
}

GType
gwy_orientation_get_type(void)
{
    static GType etype = 0;

    if (etype == 0) {
        static const GEnumValue values[] = {
            { GWY_ORIENTATION_HORIZONTAL, "GWY_ORIENTATION_HORIZONTAL", "horizontal" },
            { GWY_ORIENTATION_VERTICAL, "GWY_ORIENTATION_VERTICAL", "vertical" },
            { 0, NULL, NULL }
        };
        etype = g_enum_register_static("GwyOrientation", values);
    }
    return etype;
}

GType
gwy_transform_direction_get_type(void)
{
    static GType etype = 0;

    if (etype == 0) {
        static const GEnumValue values[] = {
            { GWY_TRANSFORM_DIRECTION_BACKWARD, "GWY_TRANSFORM_DIRECTION_BACKWARD", "backward" },
            { GWY_TRANSFORM_DIRECTION_FORWARD, "GWY_TRANSFORM_DIRECTION_FORWARD", "forward" },
            { 0, NULL, NULL }
        };
        etype = g_enum_register_static("GwyTransformDirection", values);
    }
    return etype;
}

GType
gwy_data_field_cached_get_type(void)
{
    static GType etype = 0;

    if (etype == 0) {
        static const GEnumValue values[] = {
            { GWY_DATA_FIELD_CACHE_MIN, "GWY_DATA_FIELD_CACHE_MIN", "min" },
            { GWY_DATA_FIELD_CACHE_MAX, "GWY_DATA_FIELD_CACHE_MAX", "max" },
            { GWY_DATA_FIELD_CACHE_SUM, "GWY_DATA_FIELD_CACHE_SUM", "sum" },
            { GWY_DATA_FIELD_CACHE_RMS, "GWY_DATA_FIELD_CACHE_RMS", "rms" },
            { GWY_DATA_FIELD_CACHE_MED, "GWY_DATA_FIELD_CACHE_MED", "med" },
            { GWY_DATA_FIELD_CACHE_SIZE, "GWY_DATA_FIELD_CACHE_SIZE", "size" },
            { 0, NULL, NULL }
        };
        etype = g_enum_register_static("GwyDataFieldCached", values);
    }
    return etype;
}

GType
gwy_computation_state_type_get_type(void)
{
    static GType etype = 0;

    if (etype == 0) {
        static const GEnumValue values[] = {
            { GWY_COMPUTATION_STATE_INIT, "GWY_COMPUTATION_STATE_INIT", "init" },
            { GWY_COMPUTATION_STATE_ITERATE, "GWY_COMPUTATION_STATE_ITERATE", "iterate" },
            { GWY_COMPUTATION_STATE_FINISHED, "GWY_COMPUTATION_STATE_FINISHED", "finished" },
            { 0, NULL, NULL }
        };
        etype = g_enum_register_static("GwyComputationStateType", values);
    }
    return etype;
}

GType
gwy_dwt_type_get_type(void)
{
    static GType etype = 0;

    if (etype == 0) {
        static const GEnumValue values[] = {
            { GWY_DWT_HAAR, "GWY_DWT_HAAR", "haar" },
            { GWY_DWT_DAUB4, "GWY_DWT_DAUB4", "daub4" },
            { GWY_DWT_DAUB6, "GWY_DWT_DAUB6", "daub6" },
            { GWY_DWT_DAUB8, "GWY_DWT_DAUB8", "daub8" },
            { GWY_DWT_DAUB12, "GWY_DWT_DAUB12", "daub12" },
            { GWY_DWT_DAUB20, "GWY_DWT_DAUB20", "daub20" },
            { 0, NULL, NULL }
        };
        etype = g_enum_register_static("GwyDWTType", values);
    }
    return etype;
}

GType
gwy_dwt_denoise_type_get_type(void)
{
    static GType etype = 0;

    if (etype == 0) {
        static const GEnumValue values[] = {
            { GWY_DWT_DENOISE_UNIVERSAL, "GWY_DWT_DENOISE_UNIVERSAL", "universal" },
            { GWY_DWT_DENOISE_SCALE_ADAPTIVE, "GWY_DWT_DENOISE_SCALE_ADAPTIVE", "scale-adaptive" },
            { GWY_DWT_DENOISE_SPACE_ADAPTIVE, "GWY_DWT_DENOISE_SPACE_ADAPTIVE", "space-adaptive" },
            { 0, NULL, NULL }
        };
        etype = g_enum_register_static("GwyDWTDenoiseType", values);
    }
    return etype;
}

GType
gwy_interpolation_type_get_type(void)
{
    static GType etype = 0;

    if (etype == 0) {
        static const GEnumValue values[] = {
            { GWY_INTERPOLATION_NONE, "GWY_INTERPOLATION_NONE", "none" },
            { GWY_INTERPOLATION_ROUND, "GWY_INTERPOLATION_ROUND", "round" },
            { GWY_INTERPOLATION_BILINEAR, "GWY_INTERPOLATION_BILINEAR", "bilinear" },
            { GWY_INTERPOLATION_KEY, "GWY_INTERPOLATION_KEY", "key" },
            { GWY_INTERPOLATION_BSPLINE, "GWY_INTERPOLATION_BSPLINE", "bspline" },
            { GWY_INTERPOLATION_OMOMS, "GWY_INTERPOLATION_OMOMS", "omoms" },
            { GWY_INTERPOLATION_NNA, "GWY_INTERPOLATION_NNA", "nna" },
            { 0, NULL, NULL }
        };
        etype = g_enum_register_static("GwyInterpolationType", values);
    }
    return etype;
}

GType
gwy_plane_fit_quantity_get_type(void)
{
    static GType etype = 0;

    if (etype == 0) {
        static const GEnumValue values[] = {
            { GWY_PLANE_FIT_A, "GWY_PLANE_FIT_A", "a" },
            { GWY_PLANE_FIT_BX, "GWY_PLANE_FIT_BX", "bx" },
            { GWY_PLANE_FIT_BY, "GWY_PLANE_FIT_BY", "by" },
            { GWY_PLANE_FIT_ANGLE, "GWY_PLANE_FIT_ANGLE", "angle" },
            { GWY_PLANE_FIT_SLOPE, "GWY_PLANE_FIT_SLOPE", "slope" },
            { GWY_PLANE_FIT_S0, "GWY_PLANE_FIT_S0", "s0" },
            { GWY_PLANE_FIT_S0_REDUCED, "GWY_PLANE_FIT_S0_REDUCED", "s0-reduced" },
            { 0, NULL, NULL }
        };
        etype = g_enum_register_static("GwyPlaneFitQuantity", values);
    }
    return etype;
}

GType
gwy_windowing_type_get_type(void)
{
    static GType etype = 0;

    if (etype == 0) {
        static const GEnumValue values[] = {
            { GWY_WINDOWING_NONE, "GWY_WINDOWING_NONE", "none" },
            { GWY_WINDOWING_HANN, "GWY_WINDOWING_HANN", "hann" },
            { GWY_WINDOWING_HAMMING, "GWY_WINDOWING_HAMMING", "hamming" },
            { GWY_WINDOWING_BLACKMANN, "GWY_WINDOWING_BLACKMANN", "blackmann" },
            { GWY_WINDOWING_LANCZOS, "GWY_WINDOWING_LANCZOS", "lanczos" },
            { GWY_WINDOWING_WELCH, "GWY_WINDOWING_WELCH", "welch" },
            { GWY_WINDOWING_RECT, "GWY_WINDOWING_RECT", "rect" },
            { 0, NULL, NULL }
        };
        etype = g_enum_register_static("GwyWindowingType", values);
    }
    return etype;
}

GType
gwy_tip_type_get_type(void)
{
    static GType etype = 0;

    if (etype == 0) {
        static const GEnumValue values[] = {
            { GWY_TIP_PYRAMIDE, "GWY_TIP_PYRAMIDE", "pyramide" },
            { GWY_TIP_CONTACT, "GWY_TIP_CONTACT", "contact" },
            { GWY_TIP_NONCONTACT, "GWY_TIP_NONCONTACT", "noncontact" },
            { GWY_TIP_DELTA, "GWY_TIP_DELTA", "delta" },
            { 0, NULL, NULL }
        };
        etype = g_enum_register_static("GwyTipType", values);
    }
    return etype;
}

GType
gwy_indentor_type_get_type(void)
{
    static GType etype = 0;

    if (etype == 0) {
        static const GEnumValue values[] = {
            { GWY_INDENTOR_VICKERS, "GWY_INDENTOR_VICKERS", "vickers" },
            { GWY_INDENTOR_BERKOVICH, "GWY_INDENTOR_BERKOVICH", "berkovich" },
            { GWY_INDENTOR_BERKOVICH_M, "GWY_INDENTOR_BERKOVICH_M", "berkovich-m" },
            { GWY_INDENTOR_KNOOP, "GWY_INDENTOR_KNOOP", "knoop" },
            { GWY_INDENTOR_BRINELL, "GWY_INDENTOR_BRINELL", "brinell" },
            { GWY_INDENTOR_ROCKWELL, "GWY_INDENTOR_ROCKWELL", "rockwell" },
            { GWY_INDENTOR_CUBECORNER, "GWY_INDENTOR_CUBECORNER", "cubecorner" },
            { 0, NULL, NULL }
        };
        etype = g_enum_register_static("GwyIndentorType", values);
    }
    return etype;
}


/* Generated data ends here */

